## org.apache.cassandra.io.sstable
Class SSTableScanner.KeyScanningIterator

    java.lang.Object
      org.apache.cassandra.io.sstable.SSTableScanner.KeyScanningIterator

All Implemented Interfaces:
  java.util.Iterator<IColumnIterator>

Direct Known Subclasses:
  SSTableBoundedScanner.BoundedKeyScanningIterator

Enclosing class:
  SSTableScanner

    protected class SSTableScanner.KeyScanningIterator

extends java.lang.Object
implements java.util.Iterator<IColumnIterator>

Field Summary
`protected long` `finishedAt`

Constructor Summary
`protected` `SSTableScanner.KeyScanningIterator()`

Method Summary
`boolean` `hasNext()`
`IColumnIterator` `next()`
`void` `remove()`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### finishedAt

    protected long finishedAt

Constructor Detail

### SSTableScanner.KeyScanningIterator

    protected SSTableScanner.KeyScanningIterator()

Method Detail

### hasNext

    public boolean hasNext()

  Specified by:
    `hasNext` in interface `java.util.Iterator<IColumnIterator>`

### next

    public IColumnIterator next()

  Specified by:
    `next` in interface `java.util.Iterator<IColumnIterator>`

### remove

    public void remove()

  Specified by:
    `remove` in interface `java.util.Iterator<IColumnIterator>`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Copyright © 2013 The Apache Software Foundation